Bug 140424

Summary: [EFL] Fix build after r178390
Product: WebKit Reporter: Hunseop Jeong <hs85.jeong>
Component: WebKit EFLAssignee: Hunseop Jeong <hs85.jeong>
Status: RESOLVED WONTFIX    
Severity: Normal CC: cdumez, commit-queue, dino, gyuyoung.kim, lucas.de.marchi, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 140431    
Bug Blocks: 126408    
Attachments:
Description Flags
Patch
none
Patch none

Description Hunseop Jeong 2015-01-13 19:59:15 PST
lib/../Source/WebCore/CMakeFiles/WebCore.dir/__/__/DerivedSources/WebCore/JSWebGL1RenderingContext.cpp.o: In function `WebCore::JSWebGL1RenderingContext::visitChildren(JSC::JSCell*, JSC::SlotVisitor&)':
JSWebGL1RenderingContext.cpp:(.text._ZN7WebCore24JSWebGL1RenderingContext13visitChildrenEPN3JSC6JSCellERNS1_11SlotVisitorE+0x16): undefined reference to `WebCore::JSWebGL1RenderingContext::visitAdditionalChildren(JSC::SlotVisitor&)'
lib/../Source/WebCore/CMakeFiles/WebCore.dir/__/__/DerivedSources/WebCore/JSWebGL2RenderingContext.cpp.o: In function `WebCore::JSWebGL2RenderingContext::visitChildren(JSC::JSCell*, JSC::SlotVisitor&)':
JSWebGL2RenderingContext.cpp:(.text._ZN7WebCore24JSWebGL2RenderingContext13visitChildrenEPN3JSC6JSCellERNS1_11SlotVisitorE+0x16): undefined reference to `WebCore::JSWebGL2RenderingContext::visitAdditionalChildren(JSC::SlotVisitor&)'
Comment 1 Hunseop Jeong 2015-01-13 20:25:37 PST
Created attachment 244573 [details]
Patch
Comment 2 WebKit Commit Bot 2015-01-13 20:28:08 PST
Attachment 244573 [details] did not pass style-queue:


ERROR: Source/WebCore/CMakeLists.txt:1151:  Alphabetical sorting problem. "css/CSSKeyframeRule.cpp" should be before "css/WebKitCSSResourceValue.cpp".  [list/order] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Hunseop Jeong 2015-01-13 20:41:45 PST
ERROR: Source/WebCore/CMakeLists.txt:1151:  Alphabetical sorting problem. "css/CSSKeyframeRule.cpp" should be before "css/WebKitCSSResourceValue.cpp".  [list/order] [5]

This style check error isn't related with this issue.
I will fix it after this issue.
Comment 4 Hunseop Jeong 2015-01-13 20:56:48 PST
Created attachment 244578 [details]
Patch
Comment 5 Hunseop Jeong 2015-01-13 21:06:36 PST
Comment on attachment 244578 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=244578&action=review

> Source/WebCore/CMakeLists.txt:-1280
> -    css/CSSKeyframesRule.cpp

This files isn't related with this issue but style check failed here.
So I moved files to fix the Alphabetical sorting problem.
Comment 6 Csaba Osztrogon√°c 2015-01-13 23:29:52 PST
Comment on attachment 244578 [details]
Patch

Clearing flags on attachment: 244578

Committed r178410: <http://trac.webkit.org/changeset/178410>
Comment 7 Csaba Osztrogon√°c 2015-01-13 23:30:02 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 WebKit Commit Bot 2015-01-14 00:06:26 PST
Re-opened since this is blocked by bug 140431
Comment 9 Hunseop Jeong 2015-01-18 22:23:28 PST
Unreviewed, rolling out r178390, r178392, r178398, r178400, r178402, and r178410